<!DOCTYPE html>
<html>
    <body>
        <p  onmouseover="over(this)">over<br><span id="over">0</span></p><!--event occurs when mouse on p and its chids-->
        <p onmouseenter="enter(this)">enter<br><span id="enter">0</span></p><!--event occurs only when mouse pointer enters p element-->
        <p onmousemove="move(this)">enter<br><span id="move">0</span></p><!--mousemove for every movement of an mouse on this element-->
        <script>
            function over(t)
            {
                console.log(t)
                o=document.getElementById("over")
                o.innerHTML++
            }
            function enter(t)
            {
                o=document.getElementById("enter")
                o.innerHTML++
            }
            function move(t)
            {
                o=document.getElementById("move")
                o.innerHTML++
            }
        </script>
    </body>
</html>